package cn.com.infosec.crypto.io;

import cn.com.infosec.crypto.Mac;
import java.io.FilterOutputStream;
import java.io.OutputStream;

public class MacOutputStream extends FilterOutputStream {
   protected Mac mac;

   public MacOutputStream(OutputStream stream, Mac mac) {
      super(stream);
      this.mac = mac;
   }

   public void write(int b) {
      this.mac.update((byte)b);
      super.out.write(b);
   }

   public void write(byte[] b, int off, int len) {
      this.mac.update(b, off, len);
      super.out.write(b, off, len);
   }

   public Mac getMac() {
      return this.mac;
   }
}
